Package twisted :: Package internet :: Module utils :: Class SRVConnector

[show private | hide private]
[frames | no frames]

## Class SRVConnector

A connector that looks up DNS SRV records. See RFC2782.

Method Summary
| `__init__(self, reactor, service, domain, factory, protocol, connectFuncName, connectFuncArgs, connectFuncKwArgs)`
| ``connect`(self)` Start connection to remote server.
| `connectionFailed(self, reason)`
| `connectionLost(self, reason)`
| ``disconnect`(self)` Disconnect whatever our are state is.
| `getDestination(self)`
| `pickServer(self)`
| ``stopConnecting`(self)` Stop attempting to connect.
| `_cbGotServers(self, (answers, auth,`
| `_reallyConnect(self)`
| `_serverCmp(self, a, b)`

Class Variable Summary
`MetaInterface` | `__implements__`
`int` | `stopAfterDNS`

Method Details

### connect(self)

Start connection to remote server.

### disconnect(self)

Disconnect whatever our are state is.

### stopConnecting(self)

Stop attempting to connect.

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConnector'>

### stopAfterDNS

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net